%global debug_package   %{nil}
%global provider        github
%global provider_tld    com
%global project         Unknwon
%global repo            com
# https://github.com/Unknwon/com
%global import_path     %{provider}.%{provider_tld}/%{project}/%{repo}
%global commit          188d690b1aea28bf00ba76983aa285b1d322e3dd
%global shortcommit     %(c=%{commit}; echo ${c:0:7})

Name:           golang-%{provider}-%{project}-%{repo}
Version:        0
Release:        0.1.git%{shortcommit}%{?dist}
Summary:        Commonly used functions for the Go programming language
License:        ASL 2.0
URL:            https://%{import_path}
Source0:        https://%{import_path}/archive/%{commit}/%{repo}-%{shortcommit}.tar.gz
%if 0%{?fedora} >= 19 || 0%{?rhel} >= 7
BuildArch:      noarch
%else
ExclusiveArch:  %{ix86} x86_64 %{arm}
%endif

%description
%{summary}

%package devel
BuildRequires:  golang >= 1.2.1-3
BuildRequires:  golang(github.com/smartystreets/goconvey/convey)
# Temporary
BuildRequires:  golang(github.com/smartystreets/assertions)
Requires:       golang >= 1.2.1-3
Requires:       golang(github.com/smartystreets/goconvey/convey)
# Temporary
Requires:       golang(github.com/smartystreets/assertions)
Summary:        %{summary}
Provides:       golang(%{import_path}) = %{version}-%{release}

%description devel
%{summary}

This package contains library source intended for 
building other packages which use %{project}/%{repo}.

%prep
%setup -q -n %{repo}-%{commit}
# Disable this test as we have no network connectivity
rm -f http_test.go

%build

%install
install -d -p %{buildroot}/%{gopath}/src/%{import_path}/
cp -pav *.go %{buildroot}/%{gopath}/src/%{import_path}/
cp -rpav testdata %{buildroot}/%{gopath}/src/%{import_path}/

%check
GOPATH=%{buildroot}/%{gopath}:%{gopath} go test %{import_path}

%files devel
%doc README.md LICENSE
%dir %{gopath}/src/%{provider}.%{provider_tld}/%{project}
%{gopath}/src/%{import_path}

%changelog
* Tue Apr 14 2015 Graeme Gillies <ggillies@redhat.com> - 0-0.1.git188d690
- First package for Fedora


